%define use_ccache 1
%{?_with_ccache: %global use_ccache 1}
%{?_without_ccache: %global use_ccache 0}

Summary:	Full-featured GTK+ Bittorrent client
Name:		deluge
Version:	1.3.6
Release:	%mkrel 6
License:	GPLv3+ with exceptions
Group:		Networking/File transfer
Url:		http://deluge-torrent.org/
Source0:	http://download.deluge-torrent.org/source/%{name}-%{version}.tar.xz
Patch0:		new_release_check.patch
Patch1:		deluge-1.1.8-use-multithreaded-boost.patch
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	boost-devel
BuildRequires:	libz-devel
BuildRequires:	openssl-devel
BuildRequires:	python-setuptools
BuildRequires:	intltool
BuildRequires:	python-libtorrent-rasterbar
Requires:	librsvg2
Requires:	pyxdg
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gnomevfs
Requires:	python-twisted-web
Requires:	python-simplejson
Requires:	python-notify
Requires:	python-OpenSSL
Requires:	python-chardet
Requires:	python-mako
Requires:	python-pkg-resources
Requires:	python
Requires:	python-libtorrent-rasterbar
Requires:	%{_lib}torrent-rasterbar8
Requires:	python-characteristic
Requires:	python-idna
Requires:	python-pyasn1
Requires:	python-pyasn1-modules 
Requires:	python-service-identity
Requires:	python-twisted-web >= 15.0
Requires:	python-ply
Requires:	python-pycparser
Requires:	python-cffi
Requires:	python-cryptography
Requires:	python-enum34
Requires:	python-six
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:  	%name < %version

%description
Deluge is a Bittorrent client. Deluge is intended to bring a native,
full-featured client to Linux GTK+ desktop environments such as GNOME
and XFCE.

%prep
%setup -qn %{name}-%{version}
%apply_patches

%build
%ifarch x86_64
	CFLAGS="%{optflags} -DAMD64" python setup.py build
%else
	CFLAGS="%{optflags}" python setup.py build
%endif

%install
rm -rf %{buildroot}
python ./setup.py install --root=%{buildroot}

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --add-category="GTK" \
  --add-category="P2P" \
  --add-category="FileTransfer" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*

mv %{buildroot}%{_iconsdir}/scalable %{buildroot}%{_iconsdir}/hicolor/

%find_lang %{name}

%post
%{update_icon_cache hicolor}
%{update_desktop_database}

%postun
%{clean_icon_cache hicolor}
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}*.1.*
%{py_puresitedir}/*


%changelog
* Wed Sep 23 2015 bb <bb> 1.3.6-6pclos2015
- rebuild for updates

* Sat May 16 2015 bb <bb> 1.3.6-5pclos2015
- rebuild against updated libs

* Wed Nov 27 2013 billybot <billybot> 1.3.6-4pclos2013
- add dep torrent-rasterbar7 too

* Tue Nov 26 2013 pinoc <vogtpet at gmail.com> 1.3.6-3pclos2013
- add Req python-mako and set %{py_puresitedir}

* Fri Aug 16 2013 billybot <billybot< 1.3.6-2pclos2013
- update python 2.7

* Mon Apr 08 2013 Ken <lxgator at gmail.com> 1.3.6-1pclos2013
- 1.3.6

* Sat Nov 03 2012 Neal <nealbrks0 at gmail dot com> 1.3.5-1pclos2012
- process

* Sat Nov 03 2012 Ken <lxgator at gmail.com> 1.3.5-1pclos2012
- 1.3.5

* Fri Aug 19 2011 Texstar <texstar at gmail.com> 1.3.3-1pclos2011
- 1.3.3

* Sun May 29 2011 Ertain <sirius-c at iname.com> 1.3.2-1pclos2010
- 1.3.2

* Wed Nov 03 2010 Texstar <texstar at gmail.com> 1.3.1-1pclos2010
- 1.3.1

* Mon Sep 20 2010 Texstar <texstar at gmail.com> 1.3.0-4pclos2010
- update to final 

* Mon Sep 13 2010 Texstar <texstar at gmail.com> 1.3.0-3pclos2010
- 1.3.0 rc2

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 1.3.0-2pclos2010
- Update

* Wed May 19 2010 MBantz <martin dot bantz at gmail dot com> 1.3.0-1pclos2010
- Update to 1.3.0-rc1

* Sun Mar 28 2010 Texstar <texstar at gmail.com> 1.2.3-1pclos2010
- 1.2.3

* Wed Mar 24 2010 siamer <siamer@wp.pl> 1.2.2-1pclos2010
- new version

* Sat Mar 07 2010 Texstar <texstar at gmail.com> 1.2.1-1pclos2010
- 1.2.1
- add patch for svg error

* Wed Jan 27 2010 Texstar <texstar at gmail.com> 1.2.0-1pclos2010
- 1.2.0

* Sat Jun 20 2009 pcserver <pcserver@hushmail.com> 1.1.9-1pclos2009
- 1.1.9

* Mon Jun 01 2009 slick50 <lxgator@gmail.com> 1.1.8-1pclos2009
- 1.1.8

* Fri May 01 2009 johnnyblack <johnnyblack@inbox.com> 1.1.7-1pclos2009
- 1.1.7

* Mon Mar 30 2009 don_crissti <don_crissti@gmx.com> 1.1.5-2pclos2007
- rebuild against rasterbar

* Fri Mar 20 2009 travisn000 <travisn000@gmail.com> 1.1.5-1pclos2007
- New version 1.1.5


